Package twisted :: Package python :: Module formmethod :: Class Password

[frames | no frames]

## Class Password

    Argument --+
               |
          String --+
                   |
                  Password

A string which should be obscured when input.

Method Summary
Inherited from String
| ``__init__`(self, name, default, shortDesc, longDesc, hints, allowNone, min, max)`
| ``coerce`(self, val)` Convert the value to the correct format.
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from String
`str` | `defaultDefault` = `''`
`NoneType` | `max` = None
`int` | `min` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net